Package org.kie.internal.task.query

## Interface TaskEventQueryBuilder

- All Superinterfaces:
    `ExtendedParametrizedQueryBuilder<TaskEventQueryBuilder,​TaskEvent>`, `ParametrizedQueryBuilder<TaskEventQueryBuilder>`, `ProcessInstanceIdQueryBuilder<TaskEventQueryBuilder,​TaskEvent>`

      public interface TaskEventQueryBuilder
      extends ProcessInstanceIdQueryBuilder<TaskEventQueryBuilder,​TaskEvent>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static class` | `TaskEventQueryBuilder.OrderBy` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TaskEventQueryBuilder` | `ascending​(TaskEventQueryBuilder.OrderBy field)` | Specify which field to use when ordering the results, in ascending order.
    `TaskEventQueryBuilder` | `descending​(TaskEventQueryBuilder.OrderBy field)` | Specify which field to use when ordering the results, in descending order.
    `TaskEventQueryBuilder` | `id​(long... id)` | Specify one or more task event ids to use as a criteria
    `TaskEventQueryBuilder` | `logTime​(Date... logTime)` | Specify one or more dates to use as a criteria for the log (creation) date of the task event
    `TaskEventQueryBuilder` | `logTimeRange​(Date logTimeMin, Date logTimeMax)` | Specify an inclusive range of log dates to use as a criteria
    `TaskEventQueryBuilder` | `message​(String... message)` | Specify one or more messages to use as a criteria.
    `TaskEventQueryBuilder` | `taskId​(long... taskId)` | Specify one or more task instance ids to use as a criteria.
    `TaskEventQueryBuilder` | `taskIdRange​(Long taskIdMin, Long taskIdMax)` | Specify an inclusive range of task ids to use as a criteria
    `TaskEventQueryBuilder` | `type​(TaskEvent.TaskEventType... taskEventType)` | Specify one or more task event types to use as a criteria
    `TaskEventQueryBuilder` | `userId​(String... userId)` | Specify one or more user ids to use as a criteria
    `TaskEventQueryBuilder` | `workItemId​(long... workItemId)` | Specify one or more (task-related) work item ids to use as a criteria.

    - ### Methods inherited from interface org.kie.internal.query.ExtendedParametrizedQueryBuilder

      `build, endGroup, newGroup`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

    - ### Methods inherited from interface org.kie.internal.query.ProcessInstanceIdQueryBuilder

      `processInstanceId, processInstanceIdRange`

- - ### Method Detail

    - #### message

          TaskEventQueryBuilder message​(String... message)

      Specify one or more messages to use as a criteria.
      Parameters:
        `message` - one or more strings
      Returns:
        The current query builder instance

    - #### taskId

          TaskEventQueryBuilder taskId​(long... taskId)

      Specify one or more task instance ids to use as a criteria.
      Parameters:
        `taskId` - one or more task ids
      Returns:
        The current query builder instance

    - #### taskIdRange

          TaskEventQueryBuilder taskIdRange​(Long taskIdMin,
                                            Long taskIdMax)

      Specify an inclusive range of task ids to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `taskIdMin` - the minimal (lower) taskId to use in the range
        `taskIdMax` - the max (upper) taskId to use in the range
      Returns:
        The current query builder instance

    - #### id

          TaskEventQueryBuilder id​(long... id)

      Specify one or more task event ids to use as a criteria
      Parameters:
        `id` - one or more task event entity ids
      Returns:
        The current query builder instance

    - #### logTime

          TaskEventQueryBuilder logTime​(Date... logTime)

      Specify one or more dates to use as a criteria for the log (creation) date of the task event
      Parameters:
        `logTime` - one or more dates
      Returns:
        The current query builder instance

    - #### logTimeRange

          TaskEventQueryBuilder logTimeRange​(Date logTimeMin,
                                             Date logTimeMax)

      Specify an inclusive range of log dates to use as a criteria If the lower or upper end of the range is given as null, then an open-ended range using the non-null range end is used as the criteria
      Parameters:
        `logTimeMin` - the minimal (lower) date to use in the range
        `logTimeMax` - the max (upper) date to use in the range
      Returns:
        The current query builder instance

    - #### userId

          TaskEventQueryBuilder userId​(String... userId)

      Specify one or more user ids to use as a criteria
      Parameters:
        `userId` - one or more (string) user ids
      Returns:
        The current query builder instance

    - #### type

          TaskEventQueryBuilder type​(TaskEvent.TaskEventType... taskEventType)

      Specify one or more task event types to use as a criteria
      Parameters:
        `taskEventType` - one or more `TaskEvent.TaskEventType`s
      Returns:
        The current query builder instance

    - #### workItemId

          TaskEventQueryBuilder workItemId​(long... workItemId)

      Specify one or more (task-related) work item ids to use as a criteria.
      Parameters:
        `workItemId` - one or more long work item ids
      Returns:
        The current query builder instance

    - #### ascending

          TaskEventQueryBuilder ascending​(TaskEventQueryBuilder.OrderBy field)

      Specify which field to use when ordering the results, in ascending order. If this method is not used, the results will be ordered in ascending order by the id field.
      Parameters:
        `field` - the field by which the query results should be ordered
      Returns:
        The current instance of this query builder

    - #### descending

          TaskEventQueryBuilder descending​(TaskEventQueryBuilder.OrderBy field)

      Specify which field to use when ordering the results, in descending order. If this method is not used, the results will be ordered in ascending order by the id field.
      Parameters:
        `field` - the field by which the query results should be ordered
      Returns:
        The current instance of this query builder